Nav200 Class Reference

## Public Member Functions

int | Initialise (Driver *device, Device *opaque, player_devaddr_t opaque_id)
int | Terminate ()
int | ProcessData ()
bool | EnterStandby ()
int | GetVersionNumber ()
char * | GetVersionString ()
short | GetDeviceSerial ()
bool | rotateDirection (uint8_t direction)
bool | GetReflectorPosition (uint8_t layer, uint8_t number, PositionXY &reflector)
bool | ChangeReflectorPosition (uint8_t layer, uint8_t number, int newX, int newY)
bool | InsertReflectorPosition (uint8_t layer, uint8_t number, int X, int Y)
bool | DeleteReflectorPosition (uint8_t layer, uint8_t number, PositionXY &reflector)
int | GetReflectorRadius (uint8_t layer)
bool | SetReflectorRadius (uint8_t layer, uint8_t radius)
bool | EnterMapping ()
int | StartMapping (uint8_t layer, int X, int Y, short orientation, uint8_t radius)
int | StartMappingMeasurement (uint8_t layer, uint8_t scans, int X, int Y, short orientation, uint8_t radius)
int | StartNegativeMappingMeasurement (uint8_t layer, uint8_t scans, int X, int Y, short orientation, uint8_t radius)
bool | MappingPosition (uint8_t layer, uint8_t number, PositionXY &reflector)
bool | EnterPositioning ()
bool | EnterPositioningInput (uint8_t NumberOfMeasurements)
bool | GetPositionAuto (LaserPos &laserPosition)
bool | GetPositionSpeed (short speedX, short speedY, LaserPos &laserPosition)
bool | GetPositionSpeedVelocity (short speedX, short speedY, short velocity, LaserPos &laserPosition)
bool | GetPositionSpeedVelocityAbsolute (short speedX, short speedY, short velocity, LaserPos &laserPosition)
bool | ChangeLayer (uint8_t layer)
bool | ChangeLayerDefPosition (uint8_t layer, int X, int Y, short orientation)
bool | SetActionRadii (int min, int max)
bool | SelectNearest (uint8_t N_nearest)
bool | EnterUpload ()
bool | GetUploadTrans (uint8_t layer, ReflectorData &reflector)
bool | EnterDownload ()
bool | DownloadReflector (uint8_t layer, uint8_t number, int X, int Y)

## Protected Member Functions

void | PrintErrorMsg (void)
int | ReadFromNav200 (int timeout_usec=5000000)
int | WriteCommand (char mode, char function, int dataLength, uint8_t *data)
uint8_t | CreateCRC (uint8_t *data, ssize_t len)

## Protected Attributes

uint8_t | receivedBuffer [BUFFER_SIZE]
int | bytesReceived
Nav200Command | packet
ErrorBytes | error
Driver * | sn200
Device * | opaque
player_devaddr_t | opaque_id

The documentation for this class was generated from the following files:

- nav200.h
- nav200.cc

Last updated 12 September 2005 21:38:45